Page MenuHomePhabricator

Africa Wikimedia Developer IRC meeting #16
Closed, ResolvedPublic

Description

NOTE: For last meeting and minutes, see here: https://phabricator.wikimedia.org/T214285

When: Friday, 12th April
Time: 4pm - 5:30pm UTC
Where: #wikimedia-dev-africa on Freenode
Hosts: @rosalieper, @samuelguebo, @Flixtey

Meeting Agenda

  • Introduction of new developers.
  • A brief talk around on going outreach programs in Wikimedia and African developers progress
  • Introduction to Wikimedia tech space Code of conduct (Good to know especially for new devs in the community)
  • Next Country to host AWMD event in Africa, who is it?
  • Monthly statistics management and/or automation.
  • Remarks and closing

1r054l13> africanhope: hellooo! :D
24:58 PM meeting Starting in few minutes
3africanhope> r054l13: alright
45:00 PM
5<r054l13> Driiiinnggg
65:00 PM Meeting officially open :)
75:01 PM Hello everyone,
85:01 PM This is the agenda for our meeting today: https://phabricator.wikimedia.org/T220167
95:01 PM
10<wikibugs> Wikibugs v2.1, https://tools.wmflabs.org/wikibugs/ (PS2) Yaron Koren: build: Updating mediawiki/mediawiki-codesniffer to 19.2.0 [extensions/Cargo] - https://gerrit.wikimedia.org/r/503294 (owner: Umherirrender)
115:01 PM
12<r054l13> check it out if you haven't yet.
135:02 PM first point=> Introduction of new developers.
145:03 PM → brendajerop joined (~Thunderbi@197.232.61.196)
155:03 PM
16<r054l13> Any new volunteer around? we want to welcome you :D
175:05 PM
18<brendajerop> brendajee r054l13: Thank you
195:06 PM
20<africanhope> it's good to have you around brendajerop
215:06 PM
22<r054l13> Welcom brendajerop
235:06 PM
24<wikibugs> Wikibugs v2.1, https://tools.wmflabs.org/wikibugs/ (CR) Yaron Koren: [C: +2] build: Updating mediawiki/mediawiki-codesniffer to 19.2.0 [extensions/Cargo] - https://gerrit.wikimedia.org/r/503294 (owner: Umherirrender)
255:06 PM
26<africanhope>
27Akwaba brendajerop!
285:06 PM
29<r054l13> Tell us a little about you please
305:07 PM brendajerop: like where you come from and what you like :)
315:08 PM
32<wikibugs> Wikibugs v2.1, https://tools.wmflabs.org/wikibugs/ (PS1) Yaron Koren: Fix for 53f76324c82a - add module dependency [extensions/Cargo] - https://gerrit.wikimedia.org/r/503390
335:09 PM
34<r054l13> brendajerop: ??
355:09 PM → PaulWiki joined (~Kod_B@154.0.26.37)
365:09 PM
37<r054l13> Welcome PaulWiki
385:09 PM
39<wikibugs> Wikibugs v2.1, https://tools.wmflabs.org/wikibugs/ (Abandoned) Yaron Koren: Fix for 53f76324c82a - add module dependency [extensions/Cargo] - https://gerrit.wikimedia.org/r/503390 (owner: Yaron Koren)
405:10 PM
41<PaulWiki> Paul BOUAFFOU Thank
425:10 PM
43<brendajerop> brendajee I'm Brenda from Kenya and I'm new to open source contribution. I'm an Outreachy applicant so that's how I got to know about Wikimedia. But that doesn't really matter now because I'll keep contributing whether or not I get selected. The community is amazing :)
445:10 PM → tab1tha joined (~Tambe@129.0.79.204)
455:11 PM
46<r054l13> brendajerop: Great, we are happy to have you on board
475:12 PM
48<africanhope> +1
495:12 PM
50<r054l13> PaulWiki: Could you please tell us a little about you?
515:12 PM Welcome tab1tha
525:12 PM
53<wikibugs> Wikibugs v2.1, https://tools.wmflabs.org/wikibugs/ (Merged) jenkins-bot: build: Updating mediawiki/mediawiki-codesniffer to 19.2.0 [extensions/Cargo] - https://gerrit.wikimedia.org/r/503294 (owner: Umherirrender)
545:12 PM
55<r054l13> PaulWiki: Like where you come from and what you like ? :)
565:13 PM
57<PaulWiki> Paul BOUAFFOU Hello dears members of Africa Wikimedia Developpers Group
585:13 PM
59<africanhope> hey PaulWiki
605:14 PM hello tab1tha
615:14 PM
62<tab1tha> hello
635:14 PM ↔ brendajerop nipped out
645:16 PM
65<r054l13> tab1tha: We are getting all new contributors introduce themselves. So right now PaulWiki is about to tell us a little about him and I guess you will shout next. :D
665:16 PM him/her*
675:17 PM
68<wikibugs> Wikibugs v2.1, https://tools.wmflabs.org/wikibugs/ (CR) jenkins-bot: build: Updating mediawiki/mediawiki-codesniffer to 19.2.0 [extensions/Cargo] - https://gerrit.wikimedia.org/r/503294 (owner: Umherirrender)
695:18 PM
70<PaulWiki> Paul BOUAFFOU I'm Paul BOUAFFOU from Ivory Coast. I'm a newcomer in the group.
715:18 PM
72<r054l13> PaulWiki: Amazing. Welcom again
735:19 PM tab1tha: Could you just tell us a little about you?
745:19 PM
75<•xSavitar> Derick Alangi Welcome to all new contributors! I think I did this on the mailing list for brendajerop.
765:19 PM → jenniline joined (uid352271@gateway/web/irccloud.com/x-sisdoissxfpoxpxu)
775:19 PM
78<r054l13> Welcome jenniline
795:19 PM → Abdoulaye joined (~abdoulaye@160.120.170.80)
805:20 PM
81<r054l13> Welcome Abdoulaye
825:20 PM
83<tab1tha> I am Cameroonian and I code in Python
845:20 PM
85<r054l13> great, tab1tha
865:20 PM
87<africanhope> that's lovely, tab1tha
885:20 PM
89<PaulWiki> Paul BOUAFFOU Thank
905:20 PM
91<africanhope> Akwaba Abdoulaye!
925:20 PM
93<Abdoulaye> Fofana hello everybody
945:21 PM
95<r054l13> Welcome to everyone again. We have run the first 20 mins of the meeting, I think we will move to the next point
965:21 PM
97<jenniline> Jenniline Hi, I am Cameroonian and I code in JS & PHP
985:21 PM
99<africanhope> jenniline: awesome
1005:22 PM
101<r054l13> jenniline: That's amazing. We are happy to have you on board
1025:22 PM second point => A brief talk around on going outreach programs in Wikimedia and African developers progress
1035:23 PM
104<africanhope> r054l13: sure thing
1055:24 PM
106<r054l13> Concerning outreach programs I will say AWMD has shown a lot more interest this year than in previous years.
1075:24 PM ⇐ Eugene233 quit (uid268461@gateway/web/irccloud.com/x-mctqxdavojoihufd) Quit: Connection closed for inactivity
1085:24 PM
109<r054l13> Currently, for both Google summer of code and Outreachy, selected candidate lists are not yet out
1105:25 PM But I strongly hope we will have a good number of us selected for both programs :)
1115:26 PM The objective is to aquire skills and be able to be build up our capacities through this programs
1125:27 PM On that I want to congratulate all those who successfully applied for either program and Remember that no mater the results there is always something to learn from an experience
1135:28 PM Congrates to those mentoring this year as well
1145:29 PM I am done for this point. anyone has something to add?
1155:29 PM could be a question, comments, remark or congratulations too :)
1165:31 PM I will move to the next point in a minute time if no reply
1175:31 PM
118<brendajerop> r054l13: Thank you, and I agree with you on the point about the results. The application process alone was a great learning experience for me:)
1195:32 PM
120<r054l13> brendajerop: Welcome
1215:32 PM moving to the next point ===>>>
1225:32 PM
123<africanhope> brendajerop: its great to hear a testimony from a living witness :D
1245:33 PM
125<r054l13> africanhope: Indeed
1265:33 PM
127<Abdoulaye> Fofana It is an honor for me to be part of this program and I hope to acquire more knowledge at the end of this experience. As you said, we always remember something from an experience, something that comes out of it.
1285:33 PM
129<r054l13> Abdoulaye: Great!!!
1305:34 PM
131<africanhope> thanks for chiming in too Abdoulaye
1325:34 PM
133<r054l13> Third point => Introduction to Wikimedia tech space Code of conduct
1345:35 PM
135<africanhope> r054l13: he did not get time to introduce himself but Abdoulaye is from Cote d'Ivoire too :)
1365:35 PM (sure, you may proceed with Third point)
1375:35 PM
138<r054l13> africanhope: Thank you for letting us know
1395:35 PM Abdoulaye: Welcome again!
1405:35 PM
141<Abdoulaye> Fofana yes I am Ivorian and I code in PHP
1425:36 PM
143<r054l13> Abdoulaye: Amazing!! we have lot of gurus in here :D
1445:36 PM So 3rd point
1455:36 PM Introduction to Wikimedia tech space Code of conduct (Good to know especially for new devs in the community)
1465:37 PM This is very relevant for the new contributors.
1475:38 PM → katy29 joined (~rolandeko@154.68.4.171)
1485:38 PM
149<r054l13> There is a code of conduct for mediawiki contributors. You can find it in the software source code if you cloned it or online here
1505:38 PM https://www.mediawiki.org/wiki/Code_of_Conduct
1515:39 PM
152<africanhope> r054l13 or xSavitar, could we have a simple explanation of what a Code of Conduct (Coc) is about, why it's important? Some may not have encountered any before
1535:39 PM
154<r054l13> Ah yeah sure. thank you africanhope . You are right
1555:39 PM Welcome katy29
1565:39 PM
157<•xSavitar> Derick Alangi I think the link says it all
1585:40 PM The points on that link are clear enough IMHO
1595:41 PM
160<r054l13> So just to make it clear, A code of conduct just specifies the rules that governs our behaviour in a community and around a project
1615:41 PM
162<•xSavitar> Derick Alangi https://www.mediawiki.org/wiki/Code_of_Conduct#Unacceptable_behavior
1635:42 PM
164<r054l13> for example Personal attacks, violence, threats of violence, or deliberate intimidation are unacceptable behaviours in the dev community in wikimedia
1655:42 PM and of course to know more just follow the link xSavitar shared
1665:42 PM
167<•xSavitar> Derick Alangi The link is just a section of the link you shared above. Nothing special about it.
1685:43 PM
169<africanhope> thank you both r054l13 and xSavitar
1705:43 PM
171<•xSavitar> Derick Alangi So the link above has everything including the section I shared.
1725:43 PM
173<r054l13> xSavitar: yeah
1745:43 PM Any question? comment?
1755:43 PM otherwise I move on with next point
1765:44 PM going to next point ===>>>
1775:45 PM forth point => Next Country to host AWMD event in Africa, who is it?
1785:45 PM Who/what is it?
1795:46 PM
180<africanhope> r054l13: that's not me
1815:46 PM
182<r054l13> africanhope: haha
1835:46 PM
184<africanhope> xSavitar: did you add that point?
1855:47 PM
186<r054l13> we have a few contries on the list
1875:47 PM
188<africanhope> :)
1895:47 PM
190<r054l13> https://www.mediawiki.org/wiki/Africa_Wikimedia_Developers_Project/Request_by_Country
1915:47 PM
192<•xSavitar> Derick Alangi africanhope: You can check the phab history!
1935:48 PM
194<r054l13> xSavitar: africanhope am a little lost here :/
1955:49 PM could you share the phab link africanhope/xSavitar
1965:49 PM
197<•xSavitar> Derick Alangi Which link?
1985:49 PM
199<africanhope> xSavitar: what do you mean by checking phabricator history?
2005:49 PM
201<•xSavitar> Derick Alangi 17:46 (africanhope) xSavitar: did you add that point?
2025:49 PM
203<africanhope> r054l13: I guess I'm as lost as you here
2045:49 PM
205<•xSavitar> Derick Alangi I said check the phab history of the agenda to know who added it
2065:49 PM I don't think I did
2075:49 PM
208<africanhope> xSavitar: ah I get it
2095:50 PM
210<•xSavitar> Derick Alangi That agenda was drafted by Rosalie, not me
2115:50 PM
212<r054l13> alright
2135:50 PM
214<africanhope> ah I see
2155:50 PM
216<r054l13> africanhope: Yes I added the point :)
2175:50 PM
218<•xSavitar> Derick Alangi brendajerop: Do you feel okay about hosting an AWMD even in Kenya?
2195:50 PM
220<africanhope> The plan was Nigeria and then Cameroon
2215:50 PM
222<r054l13> but it was open to changes
2235:51 PM
224<katy29> katy r0541l13:thank you
2255:51 PM
226<africanhope> Nigeria is done, then logically that's Cameroon. At least that's my understanding.
2275:51 PM
228<r054l13> xSavitar: The next Country is Cameroon I guess
2295:51 PM africanhope: yeah
2305:51 PM
231<•xSavitar> Derick Alangi The country is not in good state
2325:52 PM I'll not want to risk anybody's life to host an event
2335:52 PM
234<r054l13> ok ok
2355:52 PM
236<•xSavitar> Derick Alangi Cameroon is currently on hold until further notice
2375:53 PM
238<brendajerop> xSavitar: I'd love to..although I've never hosted an event before.
2395:53 PM
240<•xSavitar> Derick Alangi brendajerop: You can always learn.
2415:53 PM
242<brendajerop> xSavitar: Yes, I'm willing to learn
2435:53 PM
244<r054l13> brendajerop: you will be followed up don't worry
2455:53 PM
246<•xSavitar> Derick Alangi You'll have all the help you need brendajerop
2475:54 PM
248<brendajerop> xSavitar: r054l13: Sounds good :)
2495:54 PM
250<•xSavitar> Derick Alangi Make a request
2515:55 PM Rosalie put a link "Request by Country" above
2525:55 PM
253<r054l13> https://www.mediawiki.org/wiki/Africa_Wikimedia_Developers_Project/Request_by_Country
2545:55 PM now below :)
2555:57 PM any other person interested in hosting AWMD in his country, to encourage more volunteers from his country, should follow the link and leave a Request
2565:57 PM
257<brendajerop> xSavitar: To make a request, I need to add the country to the page?
2585:58 PM
259<africanhope> brendajerop: you'll need to create a new section
2605:59 PM brendajerop: basically, if you edit the page, take a look at the previous sections in wikicode and create a new one by adapting the details
2615:59 PM
262<•xSavitar> Derick Alangi + a reason why the event should happen
2636:00 PM
264<brendajerop> xSavitar: africanhope: Will do that. Thanks
2656:00 PM
266<africanhope> brendajerop: coolio
2676:01 PM
268<r054l13> We will then evaluate the possibility of the event happening in you country and Host it.
2696:01 PM your*
2706:01 PM So next point ===>>>
2716:01 PM
272<africanhope> r054l13: yep
2736:02 PM
274<r054l13> Monthly statistics management and/or automation.
2756:03 PM every month we use this tool https://tools.wmflabs.org/awmd-stats/raw/ to have statistics concerning contributions from Africa
2766:04 PM
277<•xSavitar> Derick Alangi https://tools.wmflabs.org/awmd-stats/ instead!
2786:04 PM The /raw/ is a route for regeneration of the data
2796:04 PM
280<africanhope> (yeah cause I was like: that the right endpoint?)
2816:04 PM
282<•xSavitar> Derick Alangi in the db.json file.
2836:04 PM
284<r054l13> oh yeah sure
2856:05 PM So it provides info on who made the greates number of patches and who made how many patches
2866:06 PM it also provide info on what patch has been merged, abandoned or in review.
2876:06 PM We can thank africanhope and xSavitar for that wow job, probably a few of you aswell.
2886:07 PM So we need a volnteer that will every month update the ticket
2896:07 PM where statistics are published
2906:08 PM If I can recall xSavitar wanted someone else to do that
2916:08 PM so anyone?
2926:08 PM
293<jenniline> Jenniline How is that done
2946:09 PM
295<r054l13> jenniline: if you are interested xSavitar can better explain to you and give you all resouces to do that
2966:09 PM
297<PaulWiki> Paul BOUAFFOU Thank and africanhope and xSavitar for this application awmd-stats
2986:09 PM
299<r054l13> it just a once per month job, so pretty simple and fun!
3006:09 PM
301<jenniline> Jenniline Alright I am interested then
3026:09 PM
303<africanhope> r054l13: +1 for the fun part
3046:09 PM
305<r054l13> africanhope: :)
3066:10 PM
307<africanhope> jenniline: overall it's some copy pasting stuff
3086:10 PM
309<r054l13> xSavitar: you have a candidate!!!
3106:10 PM yeah!
3116:10 PM
312<•xSavitar> Derick Alangi jenniline: 1) it's not a job!
3136:10 PM You'll not be paid for it
3146:11 PM 2. You'll need to use the tool (for displaying stats) to build the page.
3156:11 PM 3. For now, the tool attempts to do some calculation and ranking here: https://tools.wmflabs.org/awmd-stats/month-rank/2019-04
3166:12 PM
317<jenniline> Jenniline ok. I see
3186:12 PM
319<•xSavitar> Derick Alangi Though the calculation is not accurate for now as it doesn't use the ranking algorithm. It just uses the highest number of patches submitted
3206:12 PM 4. Just use what the cool gives you here: https://tools.wmflabs.org/awmd-stats/month-rank/2019-04/wiki
3216:12 PM *tool
3226:13 PM And copy the first 3 directly to the phabricator task: https://phabricator.wikimedia.org/T213581
3236:14 PM jenniline: It's okay if you forget a few times, when its end of month, poke me on IRC here and we'll do it together
3246:14 PM After doing it a few times, you'll know how to do it on your own.
3256:14 PM jenniline: Sounds like a plan?
3266:14 PM
327<jenniline> Jenniline Yes cool
3286:14 PM
329<•xSavitar> Derick Alangi o/
3306:14 PM
331<r054l13> So we are at the end of the meeting. Remarks and Conclusions
3326:15 PM ⇐ katy29 quit (~rolandeko@154.68.4.171) Ping timeout: 264 seconds
3336:15 PM
334<r054l13> any comment? question?
3356:15 PM or anything someone has to say we did not discuss?
3366:15 PM we still have 15 mins :)
3376:15 PM → katy29 joined (~rolandeko@160.154.129.5)
3386:16 PM
339<africanhope> PaulWiki Abdoulaye jenniline katy29 tab1tha, any questions or comment from you guys?
3406:17 PM
341<r054l13> WELL!! I was happy to be part of this meeting and more happy to have met new enthusiast devs.
3426:18 PM
343<brendajerop> The AWMD wiki pages (https://www.mediawiki.org/wiki/Africa_Wikimedia_Developers_Project and subpages) are now translatable. We can help translate to non-English languages:)
3446:18 PM
345<Abdoulaye> Fofana sorry I have no questions today
3466:18 PM
347<africanhope> Abdoulaye: it's totally fine
3486:18 PM
349<r054l13> brendajerop: of course
3506:19 PM
351<africanhope> brendajerop: good catch
3526:19 PM thanks a lot for shepherding this meeting, r054l13
3536:19 PM
354<r054l13> Welcome!!
3556:20 PM
356<tab1tha> I have nothing more to say
3576:20 PM
358<jenniline> Jenniline xSavitar:can we talkk more about the task via email?
3596:20 PM
360<brendajerop> It was great to meet everyone
3616:20 PM
362<r054l13> Next meeting 10th of may.
3636:20 PM
364<•xSavitar> Derick Alangi Thank you all and especially to participants for their time and attendance. Stick around IRC, I'm always here if you have or want something new to learn in the wikiverse
3656:21 PM
366<r054l13> in the mean time, hang around irc, you will always meet someone to discuss with :)
3676:21 PM
368<•xSavitar> Derick Alangi jenniline: End of month on IRC is good.
3696:21 PM It's a practical thing
3706:21 PM
371<r054l13> xSavitar: +1
3726:21 PM
373<PaulWiki> Paul BOUAFFOU No question
3746:21 PM
375<jenniline> Jenniline ok
3766:22 PM
377<•xSavitar> Derick Alangi Thank you r054l13 and africanhope for hosting!
3786:23 PM
379<PaulWiki> Paul BOUAFFOU I am very happy of this African Wikimedia Developers meeting on IRC
3806:23 PM
381<africanhope> xSavitar: you're welcome, mate
3826:23 PM Cheers everyone and stick around/ stop by anytime for help
3836:27 PM
384<katy29> katy me neither, i have no question
3856:27 PM ⇐ brendajerop, katy29 and PaulWiki quit ↔ wm-bot5 (was wm-bot5153) nipped out

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2019, 2:41 AM
D3r1ck01 updated the task description. (Show Details)Apr 5 2019, 2:14 PM
rosalieper updated the task description. (Show Details)Apr 8 2019, 7:53 PM
rosalieper updated the task description. (Show Details)
rosalieper updated the task description. (Show Details)Apr 8 2019, 8:27 PM
D3r1ck01 updated the task description. (Show Details)May 11 2019, 9:51 AM